Subject: Re: [I2nsf] I2NSF Drafts for Independent Submission Stream

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Tue, 25 Jul 2023 23:44:55 -0700

Hi Eliot,
I answer your comments and questions inline below.

On Tue, Jul 25, 2023 at 1:35 AM Independent Submissions Editor (Eliot Lear)
<[email-masked]> wrote:

> Hi Paul and thanks for contacting me, and thanks Adrian.  Before we
> proceed further, it may be desirable to either SECDISPATCH
>
or present to OPSAREA these works back into the IETF.
Has that been discussed?
 => These three I2NSF drafts were discussed in the I2NSF WG in the past.
   However, since their topics were out of scope of the I2NSF WG, they
could not
   be adopted by the I2NSF WG.
   Even though I tried to proceed with the standardization of those drafts
   through the rechartering of the I2NSF WG, the rechartering was declined
by
   Roman Danyliw, who is a SEC AD, due to the low energy of the I2NSF WG.
   Roman also declined to shepherd them as an AD sponsor in the case of
   Independent Submission Stream due to some reasons announced to the I2NSF
WG.
   By this background, I think that the discussion in SECDISPATCH may not be
   appropriable for these drafts.

   OPSAWG may be appropriable for these drafts since they are related to
   operations and management for the closed-loop security control by the
I2NSF
   framework.
   However, many active WG documents are handled and overloaded by OPSAWG,
   I am afraid that these drafts cannot be discussed and handled by OPSAWG.
>
> A working group closure on its own should not preclude further IETF work.
>
Also, you may wish to present this work to iotops if you have not already
> done so.
=> Thanks for your encouragement on these drafts.
   IOTOPS handles the issues related to IoT devices, so these drafts
   may not be interesting to IOTOPS because these I2NSF drafts are related
to
   the virtualized security functions for cloud-based security service
systems.

   I believe that Adrian will be able to suggest a good way for these
drafts after his review on
   these drafts after this IETF 117.

   I CC Roman Danyliw who was the responsible AD of the I2NSF WG since he
may give
   us his more opinions.

   Thanks.

   Best Regards,
   Paul

Eliot (ISE)
>
> On 25 Jul 2023, at 09:33, Mr. Jaehoon Paul Jeong <[email-masked]>
> <[email-masked]> wrote:
>
> Hi Adrian,
> As I told you yesterday,
> I2NSF WG has finished all the chartered work items including the five YANG
> data model drafts recently,
> and it is concluded now:
> https://datatracker.ietf.org/wg/i2nsf/about/
>
> However, to deploy the I2NSF framework and interfaces in the industry,
> the following three drafts will be quite useful:
>
> - Security Management Automation of Cloud-Based Security Services in I2NSF
> Framework
> . URL:
> https://datatracker.ietf.org/doc/draft-jeong-i2nsf-security-management-automation/
> . Summary: This draft proposes an extension of the I2NSF framework for
> closed-loop
>   security control in Intent-Based Networking (IBN). It suggests a new
> component called
>   I2NSF Analyzer and a new interface called Analytics Interface.
> . Purpose: Informational RFC
>
> - I2NSF Analytics Interface YANG Data Model
> . URL:
> https://datatracker.ietf.org/doc/draft-lingga-i2nsf-analytics-interface-dm/
> . Summary: This draft proposes an Analytics Interface YANG Data Model to
> deliver either
>   policy reconfiguration or feedback information from I2NSF Analyzer to
> Security
>   Controller.
> . Purpose: Experimental RFC
>
> - Guidelines for Security Policy Translation in Interface to Network
> Security Functions
> . URL:
> https://datatracker.ietf.org/doc/draft-yang-i2nsf-security-policy-translation/
> . Summary: This draft proposes the guidelines for security policy
> translation
>    in the I2NSF framework, that is, the translation from a high-level
> security policy
>    to the corresponding low-level security policy. It focuses on the
> mapping between
>    Consumer-Facing Interface and Network Security Function (NSF)-Facing
> Interface.
>
> The basic concepts of these works are proved through the I2NSF Hackathon
> Projects.
> The open-source I2NSF hackathon project is located at the Github:
> https://github.com/jaehoonpaul/i2nsf-framework
>
> I would like to submit those three drafts to the IETF independent
> submission stream this week:
> https://www.rfc-editor.org/about/independent/
>
> If you have comments on this matter, please let us know.
>
> I CC Eliot Lear who is the Independent Submissions Editor (ISE) in the
> IETF.
>
> Thanks for your support.
>
> Best Regards,
> Paul
> --
> ===========================
> Mr. Jaehoon (Paul) Jeong, Ph.D.
> Associate Professor
> Department of Computer Science and Engineering
> Sungkyunkwan University
> Office: +82-31-299-4957
> Email: [email-masked], [email-masked]
> Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
> <http://cpslab.skku.edu/people-jaehoon-jeong.php>
>
>